Need help with Python3.4 and Avro

Terry Reedy tjreedy at udel.edu
Thu Feb 28 15:47:18 EST 2019


On 2/28/2019 11:19 AM, Mihir Kothari wrote:

> I am not sure if this is the right list, but trying to get help from
> experienced python users for my issue.

This is a good place to get a somewhat different set of such people.

> I have posted the issue in stackoverflow, but yet to see any response. I am
> trying my luck here.
> 
> I have my question here: https://stackoverflow.com/q/54833834/3165644

You should edit the title and body of your SO question.

Titles should get the attention of people who might be able to answer, 
and not push them away.  Including '3.4' in the title implies that 
specific practical knowledge of 3.4 is essential.  The fraction of 
'experienced Python users' using 3.4 is around .01  You can mention in 
the body that you are currently using 3.4, but I do not expect that this 
is completely essential to your problem, or an answer.  An answer given 
for 3.7, say, should very likely run on 3.4, or be modifiable to do.

In the title, I would change 'Avro' to the more specific 'Apache Avro'.

Copy and paste the complete traceback in the body.  Format it as code.

 > If needed, I can give the details in this email too, please let me know.

I believe most people consider stackoverflow to be a safe link to click 
on.  However, a brief summary would more likely get such a click.

"When trying to convert an Avro schema to JSON, I get
   AvroError(sp?): Tha datum is not the example of schema"
['AvroError is hypothesized since not given.  The spelling error 
indicates that the message was re-typed instead of pasted.]

-- 
Terry Jan Reedy



More information about the Python-list mailing list